STRUCT DRM_MODESET_A(9)

NAME
struct_drm_modeset_acquire_ctx - locking context (see ww_acquire_ctx)

SYNOPSIS

struct drm_modeset_acquire_ctx {
  struct ww_acquire_ctx ww_ctx;
  struct drm_modeset_lock * contended;
  struct list_head locked;
  bool trylock_only;
};

MEMBERS

ww_ctx
    base acquire ctx

contended
    used internally for -EDEADLK handling

locked
    list of held locks

trylock_only
    trylock mode used in atomic contexts/panic notifiers

DESCRIPTION

Each thread competing for a set of locks must use one acquire ctx. And if any lock fxn returns -EDEADLK, it must backoff and retry.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT